Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 76743

Summary: Bugzilla doesn't specify character set
Product: [Community] Bugzilla Reporter: Christian Rose <menthos>
Component: Bugzilla GeneralAssignee: PnT DevOps Devs <hss-ied-bugs>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 2.18CC: aleksey
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-28 20:30:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 70443    

Description Christian Rose 2002-10-25 17:40:40 UTC
Bugzilla doesn't specify what character set is used in the html output.
By default, no character set specified implies iso-8859-1, but it is good
practice to also explicitly specify this information. Also, specifying the
character set is needed for Bugzilla to support UTF-8 as mentioned in bug 70443.

Comment 1 Aleksey Nogin 2006-04-08 18:59:49 UTC
As of 2.18, Bugzilla does specify the charset (UTF-8) in Bugzilla emails and
through the meta tag in HTML, but the HTTP header contains an empty one. Not
sure if we care about the HTTP header.

% lynx -mime_header 'https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=76743'
| head -20
HTTP/1.1 200 OK
Date: Sat, 08 Apr 2006 18:58:48 GMT
Server: Apache/2.0.46 (Red Hat)
Connection: close
Content-Type: text/html; charset=

<!-- 1.0@bugzilla.org -->








<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>Bug 76743 - Bugzilla doesn't specify character set</title>


Comment 2 David Lawrence 2008-08-28 20:30:35 UTC
This is properly fixed in recent versions of Bugzilla.